summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJulian Andres Klode <jak@debian.org>2022-02-22 16:35:22 +0000
committerJulian Andres Klode <jak@debian.org>2022-02-22 16:35:22 +0000
commita6d8d61a832ffac5fd1f4ff3a6df76647e1b1a11 (patch)
treea5ec13cd9c31e5e7d7a8b31b4029c0e94f7856fa
parent647847769adca37a0b036c64cc0fad06b49bd99c (diff)
parent4f89d3629b22255963da3705e4222c71045da58a (diff)
Merge branch 'bugscript-dash' into 'main'
bugscript: switch to POSIX shell, quoting, other improvements See merge request apt-team/apt!225
-rwxr-xr-xdebian/apt.bug-script20
1 files changed, 8 insertions, 12 deletions
diff --git a/debian/apt.bug-script b/debian/apt.bug-script
index a83b5563a..67242f2ae 100755
--- a/debian/apt.bug-script
+++ b/debian/apt.bug-script
@@ -1,9 +1,5 @@
-#!/bin/bash -e
-
-# reportbug #169495
-if [ -z "$YESNO" ]; then
- YESNO=$"yYnN"
-fi
+#!/bin/sh
+set -e
cat <<EOF
I can automatically include various information about your apt configuration in
@@ -14,20 +10,20 @@ EOF
yesno "May I include your apt configuration (/etc/apt/apt.conf et al)? [Y/n] " yep
if [ "$REPLY" = "yep" ]; then
- echo -e "\n-- apt-config dump --\n" >&3
+ printf "\n-- apt-config dump --\n\n" >&3
apt-config dump >&3 2>&1
fi
for config in /etc/apt/preferences /etc/apt/preferences.d/* /etc/apt/sources.list /etc/apt/sources.list.d/* ; do
- if [ -f $config ]; then
+ if [ -f "$config" ]; then
yesno "May I include your $config configuration file? [Y/n] " yep
if [ "$REPLY" = "yep" ]; then
- echo -e "\n-- $config --\n" >&3
- cat $config >&3
+ printf "\n-- %s --\n\n" "$config" >&3
+ cat "$config" >&3
else
- echo -e "\n-- ($config present, but not submitted) --\n" >&3
+ printf "\n-- (%s present, but not submitted) --\n\n" "$config" >&3
fi
else
- echo -e "\n-- (no $config present) --\n" >&3
+ printf "\n-- (no %s present) --\n\n" "$config" >&3
fi
done